<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-builds-customizing.qdoc -->
  <title>Customizing the Build Process | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Customizing the Build Process</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-setup-webassembly.html" />
  <link rel="next" href="creator-testing.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-setup-webassembly.html">Building Applications for the Web</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-testing.html">Testing</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Customizing the Build Process</h1>
<span class="subtitle"></span>
<!-- $$$creator-build-process-customizing.html-description -->
<div class="descr"> <a name="details"></a>
<p>To specify the relationship between the release, build, and deploy configurations, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Build &amp; Run</b>. By default, the <b>Always build project before deploying it</b> and the <b>Always deploy project before running it</b> options (1) are enabled. Therefore, when you select the <b>Run</b> function, Qt Creator checks for changes in the project files and also builds and deploys the project if necessary.</p>
<p class="centerAlign"><img src="images/qtcreator-project-options-deploy.png" alt="&quot;Project General Options&quot;" /></p><p>On Windows, you can use <code>jom</code> instead of <code>nmake</code> for building the project to distribute the compilation process to multiple CPU cores. You can download <code>jom</code> from <a href="http://download.qt.io/official_releases/jom">Qt Downloads</a>. To use <code>jom</code>, select the <b>Use jom instead of nmake</b> check box. Deselect the check box if you experience build problems.</p>
<p>You can specify the default build directory in the <b>Default build directory</b> field using Qt Creator variables (2).</p>
</div>
<!-- @@@creator-build-process-customizing.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-setup-webassembly.html">Building Applications for the Web</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-testing.html">Testing</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
